curl --request POST \
--url https://api.pipo.health/v1/enrollment/inclusion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company-tax-id": "12345678000190",
"members": [
{
"beneficiary-type": "primary",
"name": "João Silva",
"tax-id": "12345678900",
"mothers-name": "Maria Silva",
"date-of-birth": "1985-05-15",
"gender": "male",
"marital-status": "married",
"admission-date": "2024-01-01",
"work-contract-type": "brazil-labor-law",
"job-title": "Desenvolvedor Senior",
"employee-id": "EMP001",
"salary": 800000,
"email-corporate": "joao.silva@acme.com",
"email-private": "joao.silva@email.com",
"phone": "11987654321",
"products": {
"health-insurance": [
{
"name": "Plano Saúde Premium",
"start-option": "on-inclusion-date"
}
]
}
}
]
}
'{
"request-id": "aaa11111-e89b-12d3-a456-426614174006"
}{
"error": "Not entitled to access this company"
}{
"result": [
{
"beneficiary-type": "primary",
"name": "João Silva",
"tax-id": "12345678900",
"company-tax-id": "12345678000190",
"offenses": [
"invalid-tax-id",
"missing-mothers-name"
]
}
]
}Inclusão em lote
Inclui novos membros e/ou grupos familiares em lote.
POST
/
v1
/
enrollment
/
inclusion
curl --request POST \
--url https://api.pipo.health/v1/enrollment/inclusion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"company-tax-id": "12345678000190",
"members": [
{
"beneficiary-type": "primary",
"name": "João Silva",
"tax-id": "12345678900",
"mothers-name": "Maria Silva",
"date-of-birth": "1985-05-15",
"gender": "male",
"marital-status": "married",
"admission-date": "2024-01-01",
"work-contract-type": "brazil-labor-law",
"job-title": "Desenvolvedor Senior",
"employee-id": "EMP001",
"salary": 800000,
"email-corporate": "joao.silva@acme.com",
"email-private": "joao.silva@email.com",
"phone": "11987654321",
"products": {
"health-insurance": [
{
"name": "Plano Saúde Premium",
"start-option": "on-inclusion-date"
}
]
}
}
]
}
'{
"request-id": "aaa11111-e89b-12d3-a456-426614174006"
}{
"error": "Not entitled to access this company"
}{
"result": [
{
"beneficiary-type": "primary",
"name": "João Silva",
"tax-id": "12345678900",
"company-tax-id": "12345678000190",
"offenses": [
"invalid-tax-id",
"missing-mothers-name"
]
}
]
}Authorizations
Token Bearer obtido em POST /v1/authenticate.
Query Parameters
Resolve automaticamente a movimentação: approve aprova; reject rejeita.
Esta opção existe apenas no ambiente de Homologação, para testes.
Available options:
approve, reject Body
application/json
Response
Movimentação processada com sucesso.
Identificador da requisição. Use em GET /v1/request/{request-id}.